# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Luca Marchetti <ximilian@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gettext
from gettext import gettext as _
gettext.textdomain('dostuff')

from gi.repository import Gtk, Gio # pylint: disable=E0611
import logging
logger = logging.getLogger('dostuff')

from dostuff_lib.SortWindow import SortWindow

# See dostuff_lib.SortWindow.py for more details about how this class works
class SortDoStuffWindow(SortWindow):
    __gtype_name__ = "SortDoStuffWindow"

    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(SortDoStuffWindow, self).finish_initializing(builder)

        # Code for other initialization actions should be added here.

    def on_sort_id_clicked(self, widget, data=None):
        self.emit_sort_signal(0)

    def on_sort_priority_clicked(self, widget, data=None):
        self.emit_sort_signal(1)

    def on_sort_az_clicked(self, widget, data=None):
        self.emit_sort_signal(2)

